=== share/CMakeLists.txt ===
add_subdirectory(bash-completions)
