=== debian/changelog ===
kdevelop (4:22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:51:36 +0100
