## kdevelop 22.12.3

=== debian/changelog ===
kdevelop (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:29 +0000

kdevelop (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:54 -0600

kdevelop (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:19 +0000

kdevelop (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 14:24:50 +0000

kdevelop (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:36 +0000

kdevelop (4:22.11.90-0ubuntu2) lunar; urgency=medium

  * Fix dep on kdevelop510-libs.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Nov 2022 08:03:30 +0000

kdevelop (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:55 +0000

kdevelop (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.
  * Rename packages according to the SONAME bumps:
    - kdevelop59-libs -> kdevelop510-libs
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.
  * Install new plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 14:21:11 +0000

kdevelop (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:08:24 +0000
