=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
                clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
@@ -12,8 +13,8 @@
                extra-cmake-modules (>= 5.78.0~),
                gettext,
                kdevelop-pg-qt (>= 2.2.0),
+               libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libastyle-dev (>= 3.1),
                libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
@@ -44,7 +45,7 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev,
+               libkomparediff2-dev (>= 4:22.12.3~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
                llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
@@ -58,8 +59,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
 Package: kdevelop510-libs
 Section: libs
@@ -145,7 +146,7 @@
          libkf5windowsystem-dev (>= 5.78.0~),
          qtbase5-dev (>= 5.15.0~),
          qtdeclarative5-dev (>= 5.15.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for the KDevelop IDE
  KDevelop is a Free and Open Source integrated development
  environment (IDE). It provides editing, navigation and debugging features for
