## kdevelop 23.08.0

=== debian/changelog ===
kdevelop (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:31 +0100

kdevelop (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Rename packages according to the SONAME bumps:
    - kdevelop511-libs -> kdevelop512-libs
  * Update install files.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Update lintian overrides.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:21 +0100

kdevelop (4:23.04.3-0ubuntu2) mantic; urgency=medium

  * Sync changes from debian unstable.

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Aug 2023 05:40:35 +0100

kdevelop (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:07 +0100

kdevelop (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch optional-clang.diff
  * New libraries kdevelop510-libs -> kdevelop511-libs:
    - adjust KDEV_PLUGIN_VERSION=511 on debian/rules
    - rename package
    - update installed files
    - update lintian overrides
  * New upstream release (23.04.2)
  * Add zlib1g-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:27 +0100

kdevelop (4:22.12.2-2) unstable; urgency=medium

  * Get the right grantlee dependency for the shipped plugin:
    - add the dh-sequence-grantlee build dependency
    - use the ${grantlee:Depends} substvar
  * Remove 2 obsolete maintscript entries in 1 files.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from the clang, libclang-dev, and
      llvm-dev build dependencies
    - drop the kfreebsd-any qualifiers in install files
    - stop mentioning kfreebsd architectures in the no_clang_args rules variable

 -- Pino Toscano <pino@debian.org>  Sat, 05 Aug 2023 20:34:06 +0200
