=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               clang (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-grantlee,
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
                kdevelop-pg-qt (>= 2.2.0),
                libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
                libkf5config-dev (>= 5.78.0~),
@@ -45,10 +46,10 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:22.12.3~),
+               libkomparediff2-dev (>= 4:23.08.0~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
-               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                okteta-dev (>= 5:0.26.2~),
                pkg-config,
                qtbase5-dev (>= 5.8.0~),
@@ -56,13 +57,14 @@
                qttools5-dev,
                qttools5-dev-tools,
                shared-mime-info (>= 1.9~),
+               zlib1g-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
 
-Package: kdevelop510-libs
+Package: kdevelop512-libs
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -75,7 +77,7 @@
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
-         kdevelop510-libs (= ${binary:Version}),
+         kdevelop512-libs (= ${binary:Version}),
          kinit,
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
@@ -83,6 +85,7 @@
          qml-module-qtquick-xmllistmodel,
          qml-module-qtquick2,
          qml-module-qtwebkit,
+         ${grantlee:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ${kdevelop:clang}, g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
@@ -124,7 +127,7 @@
 Package: kdevelop-dev
 Section: libdevel
 Architecture: any
-Depends: kdevelop510-libs (= ${binary:Version}),
+Depends: kdevelop512-libs (= ${binary:Version}),
          libgrantlee5-dev,
          libkf5archive-dev (>= 5.78.0~),
          libkf5config-dev (>= 5.78.0~),
