=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:23.08.0~),
+               libkomparediff2-dev (>= 4:23.08.1~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
                llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
