=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 include /usr/share/dpkg/architecture.mk
 
 # from the top-level CMakeLists.txt
-export KDEV_PLUGIN_VERSION=510
+export KDEV_PLUGIN_VERSION=512
 
 # The list of architectures (expanded, without wildcards) that do not use clang
-no_clang_args = alpha hppa ia64 kfreebsd-amd64 kfreebsd-i386 m68k sh4 x32
+no_clang_args = alpha hppa ia64 m68k sh4 x32
 ifeq (,$(filter $(DEB_HOST_ARCH), $(no_clang_args)))
 # The clang-N used for the build by the unversioned clang
 current_clang_pkg = $(shell dpkg -S "$(shell realpath $(shell env PATH=$$(echo "$$PATH" | sed -r -e 's|/usr/lib/ccache/?:||') which clang))" | cut -d: -f1)
