## kdevelop 23.08.4

=== debian/changelog ===
kdevelop (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)
  * Build with clang-16 to avoid FTBFS because of clang-17 being the
    default in noble

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:45 +0000

kdevelop (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:18 +0000

kdevelop (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:35 +0100
