=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               clang-16 (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
@@ -16,7 +16,7 @@
                kdevelop-pg-qt (>= 2.2.0),
                libastyle-dev (>= 3.1),
                libboost-serialization-dev,
-               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               libclang-16-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.78.0~),
                libkf5config-dev (>= 5.78.0~),
@@ -46,10 +46,10 @@
                libkf5widgetsaddons-dev (>= 5.78.0~),
                libkf5windowsystem-dev (>= 5.78.0~),
                libkf5xmlgui-dev (>= 5.78.0~),
-               libkomparediff2-dev (>= 4:23.08.1~),
+               libkomparediff2-dev (>= 4:23.08.4~),
                libqt5webkit5-dev (>= 5.15.0),
                libsvn-dev,
-               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
+               llvm-16-dev (>= 1:6.0) [!alpha !hppa !ia64 !m68k !sh4 !x32],
                okteta-dev (>= 5:0.26.2~),
                pkg-config,
                qtbase5-dev (>= 5.8.0~),
